View Issue Details

IDProjectCategoryView StatusLast Update
0000216Far Manager 1.7x_Commonpublic2007-07-16 16:07
ReporterZuzAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000216: Проблема с обработкой смешанного полного пути
DescriptionОписание в нотах, т.к. мантис глючит
Additional InformationРепорт взят из plugring@yahoogroups.com, сообщил Andrey Kuznetsov.
ОС и FAR любые из публичных.
TagsNo tags attached.
Build

Activities

Zuz

2006-07-06 09:56

developer   bugnote:0000234

1. Для примера, есть три каталога:
C:\1
C:\1\2
C:\1\2\3

Пишем в командной строке FAR'a:
cd C:\1\2\3\..\

Получаем окно FAR'a с ошибкой:

    Error
File not found
  C:\1\2\3\2\
      Ok

А должны были попасть в директорию C:\1\2 (как это делает cmd.exe и прочие программы).
В случае, если такой путь ссылается на корень диска, то все работает корректно, например:
cd C:\1\2\..\..\

Для примера корректной работы можно нажать WIN-R и набрать (не копировать отсюда, а набрать и смотреть подсказки, которые предлагаются после слеша) путь типа C:\1\2\..\.\2\3\..\..\.\2\..\..\1\

2. Аналогичная проблема и с одной точкой (cd C:\1\2\.\3).
3. Такая же ошибка возникает и при попытке вызова из плагина FCTL_SET(ANOTHER)PANELDIR с подобными путями.

vskirdin

2006-07-24 16:58

administrator   bugnote:0000249

после 2124

Issue History

Date Modified Username Field Change
2006-07-06 09:55 Zuz New Issue
2006-07-06 09:56 Zuz Note Added: 0000234
2006-07-24 16:58 vskirdin Status new => resolved
2006-07-24 16:58 vskirdin Fixed in Version => 1.71
2006-07-24 16:58 vskirdin Resolution open => fixed
2006-07-24 16:58 vskirdin Assigned To => vskirdin
2006-07-24 16:58 vskirdin Note Added: 0000249
2007-07-16 16:07 alexy Status resolved => closed